--
-- You must add the name of any mount you want to watch for in the mounts table
--
local mounts = {"Imperial Quilen", "Obsidian Nightwing", "Abyssal Seahorse",
		"Celestial Steed", "Headless Horseman's Mount", "Mekgineer's Chopper",
		"Tyrael's Charger", "Traveler's Tundra Mammoth"}

local mountError = false
mountTracker = CreateFrame("Frame", nil, UIParent)
mountTracker:RegisterEvent("UNIT_SPELLCAST_INTERRUPTED")
mountTracker:RegisterEvent("UNIT_SPELLCAST_FAILED")
mountTracker:RegisterEvent("UNIT_SPELLCAST_STOP")

mountTracker:SetScript("OnEvent", function(self, event, unit, spellname, ...)
	if(unit ~= "player") then return end

	if (event == "UNIT_SPELLCAST_STOP") then
		if mountError then talkNice("Failed Mounting"); end
		mountError = false;
	
	elseif (event == "UNIT_SPELLCAST_INTERRUPTED") then
		for index,value in ipairs(mounts) do
			if (value == spellname) then
				mountError = true;
				break;
			end
		end
	
	elseif (event == "UNIT_SPELLCAST_FAILED") then
		for index,value in ipairs(mounts) do
			if (value == spellname) then
				talkNice("Failed Mounting");
				mountError = false;
				break;
			end
		end
	end
end);

function talkNice(msgs)
	msgs = UnitName("player") .. ": " .. msgs;

	if IsInRaid() then
		if UnitIsGroupLeader("player") or UnitIsGroupAssistant("player") then
			SendChatMessage(msgs, "RAID_WARNING");
		else
			SendChatMessage(msgs, "RAID");
		end
	elseif IsInGroup() then
		SendChatMessage(msgs, "PARTY");
	else
		UIErrorsFrame:AddMessage(msgs, 1.0, 0.0, 0.0, 53, 5);
	end
end


